Jump to content

Universal Version Updater


Recommended Posts

Hey everybody, this doing each individual step thing is quite the pain for those people who still have 3.0.0 available to them in Fantastico, etc. So what I've done is write up an update.php version that will update your database from any existing version to the current. You then simply upload the files to your web server and you're good to go. (skipping the global.inc.php and home.inc.php files of course) To help that, I even pull the contents of the global.inc.php for you and display them so you're sure to have an accurate copy in case you overwrite it.

And, since this file shows priviledged database access info, it is password protected. When you execute it, you simply use your superuser admin id and it will do the rest.

Of course make sure you have a backup of everything, but I did a 3.0.0 to 3.0.5 upgrade tonight in one step. It was very nice. B)

This of course only works with non-modded stores, but hey, that's still a LOT of people. ;)

And without further adieu, here's the download link:

http://www.swscripts.com/downloads/upgrade.zip

Download link fixed -- Thanks Homer!

Link to post
Share on other sites

Keep in mind, you still need to protect your global.inc.php and /language/XX/home.inc.php but other than that, just run this on the database and upload the new files.

Oh, don't bother to re-upload the skins or /pear if you don't just have to. There are no changes in them and they'll just waste your time. :w00t:

Link to post
Share on other sites

Not yet max.  While I am slowly cooking up a complete V2 to V3 update utility, it's not ready yet.  Still working out all the database translations.  WooHoo...  :unsure:

@fswica

This is what Sir William said above to your question ;)

Link to post
Share on other sites

I'm trying to upgrade from v3.0.2 to 3.0.5

I've tried running your upgrade.php script but when I enter my username and password I just keep getting it rejected. I've tried using my cubecart admin username and password combination, and I've even tried using my sever superadmin combo but I still cant get it to work.

Has anyone else ran into this problem?

Has anyone else got ideas on how I can deal with this?

Link to post
Share on other sites

The only way I can think of that it would fail would be if you uploaded it to the wrong place on your server. It has to be uploaded to the root directory of your store. That may be the root of your domain or yourdomain.com/store or whatever, but it has to be in the store's root directory. ;)

Link to post
Share on other sites

Hi Sir William

Me too got this problem with the universal updater, while updating my store from v3.0.4 to v3.0.5, I uploaded the upgrade.php in my store root directory (mydomain.com/store).

I replaced it with the original upgrade script (3.0.4-3.0.5) that worked fine :D

Yunus

Link to post
Share on other sites

Hi Sir William,

I have uploaded the script to the correct folder. I get the Apache popup box for me to input my username and password, that your upgrade.php script initiates. If the script wasn't in the root folder I would be getting an error page telling me that the file does not exist.

It still has me stumpt.

Help...

Link to post
Share on other sites

So far, I've not been able to not get it to work. The user/pass you use should be the FIRST admin user in the database. If it's still not working right, then contact me privately and we'll work out what the problem is. I can add in some debugging info to your copy and we'll see what it's seeing and what it's not. :w00t:

Link to post
Share on other sites
  • 2 weeks later...
Guest daleross

Hey everybody, this doing each individual step thing is quite the pain for those people who still have 3.0.0 available to them in Fantastico, etc. So what I've done is write up an update.php version that will update your database from any existing version to the current. You then simply upload the files to your web server and you're good to go. (skipping the global.inc.php and home.inc.php files of course) To help that, I even pull the contents of the global.inc.php for you and display them so you're sure to have an accurate copy in case you overwrite it.

And, since this file shows priviledged database access info, it is password protected. When you execute it, you simply use your superuser admin id and it will do the rest.

Of course make sure you have a backup of everything, but I did a 3.0.0 to 3.0.5 upgrade tonight in one step. It was very nice. :(

This of course only works with non-modded stores, but hey, that's still a LOT of people. :unsure:

And without further adieu, here's the download link:

http://www.swscripts.com/downloads/upgrade.zip

Download link fixed -- Thanks Homer!

will this work for the upgrade to 3.06 too?

Thanks,

Dale

Link to post
Share on other sites

Ok, the authentication has now been fixed to run on any system.

The script now takes your database to 3.0.6 specs.

But be aware, there is next to no database difference between 3.0.5 and 3.0.6. The only thing changed is allowing 3 decimal digits in the weight field of the database.

I've already updated the download file on my site. So feel free to grab it.

Thanks so much to Jen from Grassmeyer Design for letting me use one of her sites as a guinea pig. :(

I'll probably close this thread and start a new one. FYI

http://www.swscripts.com/downloads/upgrade.zip

:unsure:

Link to post
Share on other sites
Guest Denver Dave

Haven't used it yet, but great idea. If you have new versions of the upgrade.zip file, you might place version numbers or something, so we know we have the latest upgrade script.

I assumed cubecart would handle this minor multi version updates and I would have been wrong.

Thanks !!

Link to post
Share on other sites

Well, you can trust that I'll update it within 24-48 hours max of Brooky's releases. But I'll probably setup a page specifically for it on my site. Or....Brooky will incorporate it into the next release code and we won't have to worry about it anymore. B)

As for your other question about the extra version of 3.0.6, there was one variable changed in one file to fix a bug I found. The original flawed version was out for less than 12 hours before it was patched. If you can login to your Admin Control Panel, you're ok. :D

Have fun!

:)

Link to post
Share on other sites
Guest estelle

Sir Will, has anyone reported problems of a valid "super user" username & password not working? I tried to use similar Admin authentication code into a database upgrade utility for one of my next mods, and it worked fine for me but not for my client. I looked it up in the php manual and tried changing the $PHP_WHATEVER to $_SERVER['PHP_WHATEVER'], but it still didn't work. Any idea if the problem could be because my client is using a subdomain?

Anyway, its not a big deal. Would be nice if i could get it to work though, cause I've added an Uninstall option to my upgrade utility! ;)

Link to post
Share on other sites

Estelle, I tried to do it the way you're talking about by using traditional HTTP_AUTH, but due to version and configuration differences between PHP installations on different servers, it won't work consistently. So what I did is use a simple form, take the login credentials, compare against the admin database, then set a custom admin session cookie. Then if the cookie is present, allow access to the rest of the script. No biggie.

Have fun!

;)

Link to post
Share on other sites
Guest imitccom

What am I doing wrong?? It is not working for me... I have 3.04 and want to upgrade to 3.06. Is there a special folder i need to put it in or something? i was able to upgrade b 4 but now it is not working.... help... :whistle:

thank you!!

imitccom

Link to post
Share on other sites

You simply put the upgrade.php file (extracted from the .zip file) into the root directory of your store. You then call that file, log in and then tell it to upgrade. It ONLY upgrades your database, you still need to upload the files, but it does all necessary database changes at once in one place so you don't have to do incremental upgrades with the different upgrade scripts.

:whistle:

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...